Fails while updating from Ubuntu 12.04 to 12.10

Asked by Malhar Anjaria on 2013-06-21

Following message appears while setting up new software channels:

An unresolvable problem occurred while calculating the upgrade:
E:Unable to correct problems, you have held broken packages.

 This can be caused by:
 * Upgrading to a pre-release version of Ubuntu
 * Running the current pre-release version of Ubuntu
 * Unofficial software packages not provided by Ubuntu

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: update-manager 1:0.156.14.11
ProcVersionSignature: Ubuntu 3.5.0-18.29-generic 3.5.7
Uname: Linux 3.5.0-18-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.0.1-0ubuntu17.3
Architecture: amd64
Date: Fri Jun 21 22:30:07 2013
GsettingsChanges:
 com.ubuntu.update-manager first-run false
 com.ubuntu.update-manager launch-time 1371833905
 com.ubuntu.update-manager window-height 604
 com.ubuntu.update-manager window-width 600
InstallationMedia: Ubuntu 10.04.1 LTS "Lucid Lynx" - Release amd64 (20100816.1)
MarkForUpload: True
PackageArchitecture: all
SourcePackage: update-manager
Symptom: ubuntu-release-upgrader-core
UpgradeStatus: Upgraded to precise on 2013-06-21 (0 days ago)
VarLogDistupgradeAptclonesystemstate.tar.gz: Error: [Errno 13] Permission denied: '/var/log/dist-upgrade/apt-clone_system_state.tar.gz'
VarLogDistupgradeTermlog:

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu update-manager Edit question
Assignee:
No assignee Edit question
Last query:
2013-06-21
Last reply:
2013-06-21
Malhar Anjaria (maltec-23) said : #1

How to resolve the Calculation error issue while upgarding Stage-2

wget https://dl.dropbox.com/u/8850924/fixpackage
chmod +x ./fixpackage
sudo ./fixpackage

Can you help with this problem?

Provide an answer of your own, or ask Malhar Anjaria for more information if necessary.

To post a message you must log in.